# How to roll out tokens

## **ERC20 tokens**

As a counterpart of Rollin, we can transfer ERC20 assets from Cycle to any destination layer that Cycle supports, which is defined as rollout. A demonstration of rolling-out ERC20 tokens by using SDK is illustrated below.

```typescript
async function rollout(
    tokenId: number,
    amount: BigNumberish,
    receiverAddress: string
) {
    const client = await getZkEvmClient()
    const erc20Token = client.customERC20(tokenId)
    const result = await erc20Token.withdraw(amount, receiverAddress)
    const txHash = await result.getTransactionHash()
    const receipt = await result.getReceipt()
}type
```

When the rolling-out transaction is fully processed, the token balance of the from-address in Cycle will be reduced as we expected; but on the other hand, the to-address in the destination chain will not have a balance increase. To get the rolling-out assets, we need to [claim](https://app.gitbook.com/o/zsuLq6nkAsruS3oE16NY/s/TzgQbqR8ub1ustDteGf4/~/changes/32/quick-start/claim-assets-on-destination-chain) it on the destination chain.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyclenetwork.io/cycle-network-docs/quick-start/how-to-roll-out-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
